
From: Mikael Pettersson <mikpe@csd.uu.se>

perfctr-2.7.10 update, 2/4:
- Update i386 syscall table for perfctr-2.7.10 API changes.

Signed-off-by: Mikael Pettersson <mikpe@csd.uu.se>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/kernel/entry.S         |    5 ++---
 25-akpm/arch/x86_64/ia32/ia32entry.S     |    3 +--
 25-akpm/include/asm-i386/unistd.h        |    7 +++----
 25-akpm/include/asm-x86_64/ia32_unistd.h |    7 +++----
 4 files changed, 9 insertions(+), 13 deletions(-)

diff -puN arch/i386/kernel/entry.S~perfctr-2710-api-update-2-4-i386 arch/i386/kernel/entry.S
--- 25/arch/i386/kernel/entry.S~perfctr-2710-api-update-2-4-i386	2005-03-16 21:42:33.000000000 -0800
+++ 25-akpm/arch/i386/kernel/entry.S	2005-03-16 21:42:33.000000000 -0800
@@ -987,8 +987,7 @@ ENTRY(sys_call_table)
 	.long sys_ioprio_get		/* 290 */
 	.long sys_vperfctr_open
 	.long sys_vperfctr_control
-	.long sys_vperfctr_unlink
-	.long sys_vperfctr_iresume
-	.long sys_vperfctr_read		/* 295 */
+	.long sys_vperfctr_write
+	.long sys_vperfctr_read
 
 syscall_table_size=(.-sys_call_table)
diff -puN arch/x86_64/ia32/ia32entry.S~perfctr-2710-api-update-2-4-i386 arch/x86_64/ia32/ia32entry.S
--- 25/arch/x86_64/ia32/ia32entry.S~perfctr-2710-api-update-2-4-i386	2005-03-16 21:42:33.000000000 -0800
+++ 25-akpm/arch/x86_64/ia32/ia32entry.S	2005-03-16 21:42:33.000000000 -0800
@@ -597,8 +597,7 @@ ia32_sys_call_table:
 	.quad sys_keyctl
 	.quad sys_vperfctr_open
 	.quad sys_vperfctr_control	/* 290 */
-	.quad sys_vperfctr_unlink
-	.quad sys_vperfctr_iresume
+	.quad sys_vperfctr_write
 	.quad sys_vperfctr_read
 	/* don't forget to change IA32_NR_syscalls */
 ia32_syscall_end:		
diff -puN include/asm-i386/unistd.h~perfctr-2710-api-update-2-4-i386 include/asm-i386/unistd.h
--- 25/include/asm-i386/unistd.h~perfctr-2710-api-update-2-4-i386	2005-03-16 21:42:33.000000000 -0800
+++ 25-akpm/include/asm-i386/unistd.h	2005-03-16 21:42:33.000000000 -0800
@@ -298,11 +298,10 @@
 #define __NR_ioprio_get		290
 #define __NR_vperfctr_open	291
 #define __NR_vperfctr_control	(__NR_vperfctr_open+1)
-#define __NR_vperfctr_unlink	(__NR_vperfctr_open+2)
-#define __NR_vperfctr_iresume	(__NR_vperfctr_open+3)
-#define __NR_vperfctr_read	(__NR_vperfctr_open+4)
+#define __NR_vperfctr_write	(__NR_vperfctr_open+2)
+#define __NR_vperfctr_read	(__NR_vperfctr_open+3)
 
-#define NR_syscalls 296
+#define NR_syscalls 295
 
 /*
  * user-visible error numbers are in the range -1 - -128: see
diff -puN include/asm-x86_64/ia32_unistd.h~perfctr-2710-api-update-2-4-i386 include/asm-x86_64/ia32_unistd.h
--- 25/include/asm-x86_64/ia32_unistd.h~perfctr-2710-api-update-2-4-i386	2005-03-16 21:42:33.000000000 -0800
+++ 25-akpm/include/asm-x86_64/ia32_unistd.h	2005-03-16 21:42:33.000000000 -0800
@@ -296,10 +296,9 @@
 #define __NR_ia32_keyctl		288
 #define __NR_ia32_vperfctr_open		289
 #define __NR_ia32_vperfctr_control	(__NR_ia32_vperfctr_open+1)
-#define __NR_ia32_vperfctr_unlink	(__NR_ia32_vperfctr_open+2)
-#define __NR_ia32_vperfctr_iresume	(__NR_ia32_vperfctr_open+3)
-#define __NR_ia32_vperfctr_read		(__NR_ia32_vperfctr_open+4)
+#define __NR_ia32_vperfctr_write	(__NR_ia32_vperfctr_open+2)
+#define __NR_ia32_vperfctr_read		(__NR_ia32_vperfctr_open+3)
 
-#define IA32_NR_syscalls 294	/* must be > than biggest syscall! */
+#define IA32_NR_syscalls 293	/* must be > than biggest syscall! */
 
 #endif /* _ASM_X86_64_IA32_UNISTD_H_ */
_
